# New-Line-to-Break Extension

## Summary

The New-Line-to-Break (`nl2br`) Extension will cause newlines to be treated as hard breaks; like StackOverflow and GitHub flavored Markdown do.

## Example

    >>> import markdown
    >>> text = """
    ... Line 1
    ... Line 2
    ... """
    >>> html = markdown.markdown(text, extensions=['nl2br'])
    >>> print html
    <p>Line 1<br />
    Line 2</p>

## Usage

See Extensions for general extension usage. Use `nl2br` as the name of the extension.

This extension does not accept any special configuration options.